Bug 1151635 - Review Request: torbrowser-launcher - Tor Browser Bundle managing tool
Summary: Review Request: torbrowser-launcher - Tor Browser Bundle managing tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: pjp
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/micahflee/torbrows...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-10 20:57 UTC by Robert Mayr
Modified: 2014-11-01 17:07 UTC (History)
3 users (show)

Fixed In Version: torbrowser-launcher-0.1.6-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-29 11:02:03 UTC
Type: ---
pj.pandit: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Robert Mayr 2014-10-10 20:57:46 UTC
Spec URL: https://robyduck.fedorapeople.org/packages/SPECS/torbrowser-launcher.spec
SRPM URL: https://robyduck.fedorapeople.org/packages/SRPMS/torbrowser-launcher-0.1.5-1.fc20.src.rpm
Description: Tor Browser Launcher is intended to make the Tor Browser Bundle (TBB)
easier to maintain and use for GNU/Linux users. You install
torbrowser-launcher from your distribution's package manager
and it handles everything else, including:

* Downloading the most recent version of TBB for you,
  in your language and for your architecture
* Automatically updating (while preserving your bookmarks and preferences)
* Verifying the TBB's GnuPG signature
* Includes AppArmor profiles to make a Tor Browser compromise not as bad
* Adding a "Tor Browser" application launcher to your desktop environment's menu

Fedora Account System Username: robyduck

Comment 1 pjp 2014-10-11 08:49:42 UTC
[X] Package name - ok.
[X] Package license - ok.
[X] Build successful - ok.

[X] $ rpmlint RPMS/noarch/torbrowser-launcher-0.1.5-1.fc19.noarch.rpm 
torbrowser-launcher.noarch: W: non-conffile-in-etc /etc/apparmor.d/torbrowser.Tor.tor
torbrowser-launcher.noarch: W: non-conffile-in-etc /etc/apparmor.d/torbrowser.Browser.firefox
torbrowser-launcher.noarch: W: non-conffile-in-etc /etc/apparmor.d/torbrowser.start-tor-browser
torbrowser-launcher.noarch: W: non-conffile-in-etc /etc/apparmor.d/usr.bin.torbrowser-launcher
torbrowser-launcher.noarch: W: no-manual-page-for-binary torbrowser-launcher
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

  - ok

[?] $ rpmlint SRPMS/torbrowser-launcher-0.1.5-1.fc19.src.rpm 
torbrowser-launcher.src: W: invalid-url Source0: https://github.com/micahflee/torbrowser-launcher/archive/torbrowser-launcher-0.1.5.tar.gz HTTP Error 404: Not Found
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

  - why doesn't the Source0 URL resolve?

[X] Install/Un-install - ok.

[?] Upon invokation, torbrowser-launcher shows it is released under GPLv3 license, not BSD.

   $ torbrowser-launcher
   Tor Browser Launcher
   By Micah Lee, licensed under GPLv3

Please confirm & request for consistent licensing.

Comment 2 Robert Mayr 2014-10-11 21:29:56 UTC
Thank you pjp for your review.
I fixed the source URL accordingly to the guidelines and used the github commit, should be fine now.
I also got in contact with upstream to fix the GPLv3 license. It is a MIT license as stated in the license file.
I've added also some other fixes.

Spec URL: https://robyduck.fedorapeople.org/packages/SPECS/torbrowser-launcher.spec
SRPM URL: https://robyduck.fedorapeople.org/packages/SRPMS/torbrowser-launcher-0.1.5-2.fc20.src.rpm

Comment 3 Robert Mayr 2014-10-11 22:37:12 UTC
Ok I did another fix and dropped the apparmor files and directory, because they are not used in Fedora. Version bump is now here:

Spec URL: https://robyduck.fedorapeople.org/packages/SPECS/torbrowser-launcher.spec
SRPM URL: https://robyduck.fedorapeople.org/packages/SRPMS/torbrowser-launcher-0.1.5-3.fc20.src.rpm

Comment 4 pjp 2014-10-12 11:01:37 UTC
[rpmbuild]$ rpmlint SRPMS/torbrowser-launcher-0.1.5-3.fc19.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[rpmbuild]$ 

  - Okay.

[rpmbuild]$ rpmlint RPMS/noarch/torbrowser-launcher-0.1.5-3.fc19.noarch.rpm 
torbrowser-launcher.noarch: W: no-manual-page-for-binary torbrowser-launcher
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[rpmbuild]$

  - Okay.

IMO, it's prudent to bump the package version to 0.1.6, as the two commits after last release update package licensing. Could you please check with the upstream about it?

Comment 5 pjp 2014-10-16 06:08:27 UTC
   Hello Robert,

I've torbrowser-launcher.noarch 0:0.1.5-3.fc19 installed. Today when I invoked it, it upgraded TBB from 3.6.6 -> 4.0 _without_ preserving browser history & open tabs from 3.6.6.

Second, upon each invocation of torbrowser-launcher it seems to download and install TBB 4.0. It shows

===
$ torbrowser-launcher
...
Starting launcher dialog
LATEST VERSION 4.0
Checked for update within 24 hours, skipping
TBB is out of date, attempting to upgrade to 4.0
...
===

closer look at the .local/share/torbrowser/tbb/x86_64/tor-browser_en-US/Docs/sources/versions still shows

TORBROWSER_VERSION=3.6.6

instead of 4.0; Probably that is why it downloads TBB-4.0 each time.

If I did not have an old instance of TBB-3.6.5 in a separate directory, I would have lost all browser history and open tabs, with no way to recover them.

This is severe. Could you please ping upstream about it?

Thank you.

Comment 6 Robert Mayr 2014-10-16 06:34:42 UTC
Ok, thank you. I will try it too, probably there are some changes when updating to 4.x. It seemd to work fino for updates from 3.6.x to 3.6.y...

Comment 7 Robert Mayr 2014-10-16 07:52:03 UTC
I'm not able to reproduce the issue, works fine here on F20:

==
$ torbrowser-launcher 
Tor Browser Launcher
By Micah Lee, licensed under MIT
version 0.1.5
https://github.com/micahflee/torbrowser-launcher
Initializing Tor Browser Launcher
Successfully loaded mirrors from /usr/share/torbrowser-launcher/mirrors.txt
...
Starting launcher dialog
LATEST VERSION 4.0
Checked for update within 24 hours, skipping
Latest version of TBB is installed, launching
Launching Tor Browser for Linux
==

Comment 8 pjp 2014-10-16 15:55:33 UTC
(In reply to Robert Mayr from comment #7)
> I'm not able to reproduce the issue, works fine here on F20:

  Oh, you are using the same SRPM from c#3 ?

Comment 9 Robert Mayr 2014-10-16 19:28:44 UTC
Ok, bumped release to 0.1.6 as requested, upstream fixed the bug of downloading the version all the time you launch torbrowser and updated also the desktop file.
New SPEC and SRPM URLs are:
Spec URL: https://robyduck.fedorapeople.org/packages/SPECS/torbrowser-launcher.spec
SRPM URL: https://robyduck.fedorapeople.org/packages/SRPMS/torbrowser-launcher-0.1.6-1.fc20.src.rpm

Comment 10 pjp 2014-10-18 19:16:32 UTC
[rpmbuild]$ 
[rpmbuild]$ rpmlint SRPMS/torbrowser-launcher-0.1.6-1.fc19.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[rpmbuild]$ 
[rpmbuild]$ 
[rpmbuild]$ rpmlint RPMS/noarch/torbrowser-launcher-0.1.6-1.fc19.noarch.rpm 
torbrowser-launcher.noarch: W: no-manual-page-for-binary torbrowser-launcher
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[rpmbuild]$

The 'shortcommit' macro is unused, remove it if you like.

Overall good.

Comment 11 pjp 2014-10-18 19:17:34 UTC
- Approved.

Comment 12 Robert Mayr 2014-10-18 19:47:22 UTC
Thank you!
I dropped the shortcommit and bumped the version to:
Spec URL: https://robyduck.fedorapeople.org/packages/SPECS/torbrowser-launcher.spec
SRPM URL: https://robyduck.fedorapeople.org/packages/SRPMS/torbrowser-launcher-0.1.6-2.fc20.src.rpm

Comment 13 Robert Mayr 2014-10-18 19:50:53 UTC
New Package SCM Request
=======================
Package Name: torbrowser-launcher
Short Description: Tor Browser Bundle managing tool
Upstream URL: https://github.com/micahflee/torbrowser-launcher
Owners: robyduck pjp
Branches: f20 f21 epel7
InitialCC:

Comment 14 Gwyn Ciesla 2014-10-20 11:58:39 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2014-10-20 13:27:24 UTC
torbrowser-launcher-0.1.6-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/torbrowser-launcher-0.1.6-2.fc20

Comment 16 Fedora Update System 2014-10-20 13:29:35 UTC
torbrowser-launcher-0.1.6-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/torbrowser-launcher-0.1.6-2.fc21

Comment 17 Fedora Update System 2014-10-20 15:30:54 UTC
torbrowser-launcher-0.1.6-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 18 Fedora Update System 2014-10-29 11:02:03 UTC
torbrowser-launcher-0.1.6-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 19 Fedora Update System 2014-11-01 17:07:20 UTC
torbrowser-launcher-0.1.6-2.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.